# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename bluebird

Name:               nodejs-bluebird
Version:            2.9.12
Release:            %mkrel 7
Summary:            Full featured Promises/A+ implementation

Group:              Development/Other
License:            MIT
URL:                https://www.npmjs.org/package/bluebird
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

BuildRequires:      nodejs-packaging >= 6



%if 0%{?enable_tests}
BuildRequires:      npm(jshint-stylish)
BuildRequires:      npm(avow)
BuildRequires:      npm(grunt)
BuildRequires:      npm(jquery-browserify)
BuildRequires:      npm(mocha)
BuildRequires:      npm(concurrent)
BuildRequires:      npm(sinon)
BuildRequires:      npm(rimraf)
BuildRequires:      npm(acorn)
BuildRequires:      npm(semver-utils)
BuildRequires:      npm(grunt-cli)
BuildRequires:      npm(grunt-saucelabs)
BuildRequires:      npm(browserify)
BuildRequires:      npm(jsdom)
BuildRequires:      npm(q)
BuildRequires:      npm(grunt-contrib-concat)
BuildRequires:      npm(grunt-contrib-connect)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(text-table)
BuildRequires:      npm(when)
BuildRequires:      npm(grunt-contrib-watch)
BuildRequires:      npm(deferred)
BuildRequires:      npm(mkdirp)
BuildRequires:      npm(kew)
BuildRequires:      npm(rsvp)
%endif


%description
Bluebird is a fully featured promise library with focus on innovative features
and performance

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bluebird
cp -pr package.json js/ \
    %{buildroot}%{nodejs_sitelib}/bluebird

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/bluebird/



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.9.12-7.mga8
+ Revision: 1525221
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Sat Apr 06 2019 umeabot <umeabot> 2.9.12-6.mga7
+ Revision: 1386247
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Enable tests

* Wed May 25 2016 neoclust <neoclust> 2.9.12-3.mga6
+ Revision: 1018300
- imported package nodejs-bluebird

